Daemon Power

The NetBSD Packages Collection: emulators/dgen

Brief description of the package:
Genesis/Megadrive emulator for Unix platforms

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://dgen.sourceforge.net/.

The package is located in the "emulators/dgen" directory. The current source version of the package is "dgen-sdl-1.32nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for emulators/dgen :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: SDL>=1.2.5nb5 esound>=0.2.18 libaudiofile>=0.2.1 cwrappers>=20150314 libaudiofile>=0.3.3 nas>=1.4.2 x11-links>=1.12 osabi-NetBSD-8.0_RC2 pulseaudio>=12.0 avahi>=0.6.23 gtk2+>=2.14.0 py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 shared-mime-info>=0.15 glib2>=2.4.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 pcre>=8.30nb1 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 glib2>=2.34.0 libxml2>=2.8.0nb2 atk>=1.30.0 glib2>=2.31.2 gobject-introspection>=0.6.14nb1 py27-cElementTree-[0-9]* glib2>=2.54.0 libffi>=3.0.0 gobject-introspection>=1.34.0 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 png>=1.2.4 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 png>=1.6.0nb1 xcursor>=1.0 Xfixes>=2.0.0 fixesproto>=3.0.0<5 xorgproto>=2016.1 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xfixes>=2.0.1nb2 Xrender>=0.9.0nb1 xcursor>=1.1.1 Xft2>=2.1.2nb2 fontconfig>=2.2 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 gperf-[0-9]* fontconfig>=2.10.93 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 fontconfig>=2.13.0 Xft2>=2.1 Xft2>=2.1nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fontconfig>=2.11.91 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.33.12 harfbuzz>=0.9.9 icu>=3.4 icu>=62.1 harfbuzz>=2.1.1 cairo>=1.12.10 MesaLib>=3.4.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.13 xcb-proto>=1.4 py27-mako-[0-9]* py27-setuptools>=0.8 lzo>=2.01 fontconfig>=2.2.95 freetype2>=2.1.9 pixman>=0.30.0 pixman>=0.25.2 MesaLib>=7.11.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.14.12nb1 glib2>=2.14.0 Xft2>=2.1.7nb7 cairo-gobject>=1.14.12nb1 help2man-[0-9]* p5-gettext>=1.01 perl>=5.28.0 perl<5.30.0 pango>=1.6.0 cairo>=1.6.0 atk>=2.6.0 gdk-pixbuf2>=2.34.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.42.4nb1 gobject-introspection>=0.9.3 gtk2+>=2.4.0 libdaemon>=0.14 libdaemon>=0.10 dbus>=0.91 xmlto-[0-9]* getopt-[0-9]* docbook-xsl>=1.67.0nb1 docbook-xml>=4.2 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 docbook-xml-[0-9]* docbook-xsl-[0-9]* libxslt>=1.1.28nb2 gtk2+>=2.24.32nb6 libXtst>=1.0.1 consolekit>=0.3.0 polkit>=0.103 spidermonkey52>=52.0.0 nspr>=4.9.3.2 libxslt-[0-9]* dbus-glib>=0.61 glib2>=2.40 dbus>=1.8 dbus-glib>=0.100nb1 libsndfile>=1.0.0 flac>=1.1.0nb1 libogg>=1.1 libogg>=1.1.2nb1 libogg>=1.1.3 libvorbis>=1.0.1 flac>=1.1.3nb1 libvorbis>=1.1.0nb1 speexdsp>=1.2rc3 speex>=1.2rc2 speex>=1.2rc1 gdbm>=1.8.3 libltdl>=2.4.2 avahi>=0.6.32nb15 consolekit>=0.3.0nb9 libsndfile>=1.0.18 gdbm>=1.14.1 libltdl>=2.2.6 glu>=3.4.2 glu>=6.0 esound>=0.2.41nb1 nas>=1.7bnb2 glu>=7.11.2 yasm>=0.6.0 SDL>=1.2.15nb17 .

This package requires the following package(s) to run: SDL>=1.2.5nb5 esound>=0.2.18 libaudiofile>=0.2.1 libaudiofile>=0.3.3 nas>=1.4.2 pulseaudio>=12.0 avahi>=0.6.23 gtk2+>=2.14.0 py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 python27>=2.7.1nb2 shared-mime-info>=0.15 glib2>=2.4.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 pcre>=8.30nb1 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 glib2>=2.34.0 libxml2>=2.8.0nb2 atk>=1.30.0 glib2>=2.31.2 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 png>=1.2.4 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 png>=1.6.0nb1 xcursor>=1.0 Xfixes>=2.0.0 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xfixes>=2.0.1nb2 Xrender>=0.9.0nb1 xcursor>=1.1.1 Xft2>=2.1.2nb2 fontconfig>=2.2 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.10.93 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 fontconfig>=2.13.0 Xft2>=2.1 Xft2>=2.1nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fontconfig>=2.11.91 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.33.12 harfbuzz>=0.9.9 icu>=3.4 icu>=62.1 harfbuzz>=2.1.1 cairo>=1.12.10 MesaLib>=3.4.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 fontconfig>=2.2.95 freetype2>=2.1.9 pixman>=0.30.0 pixman>=0.25.2 MesaLib>=7.11.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.14.12nb1 glib2>=2.14.0 Xft2>=2.1.7nb7 cairo-gobject>=1.14.12nb1 pango>=1.6.0 cairo>=1.6.0 atk>=2.6.0 gdk-pixbuf2>=2.34.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.42.4nb1 gtk2+>=2.4.0 libdaemon>=0.14 libdaemon>=0.10 dbus>=0.91 gtk2+>=2.24.32nb6 libXtst>=1.0.1 consolekit>=0.3.0 polkit>=0.103 spidermonkey52>=52.0.0 nspr>=4.9.3.2 dbus-glib>=0.61 glib2>=2.40 dbus>=1.8 dbus-glib>=0.100nb1 libsndfile>=1.0.0 flac>=1.1.0nb1 libogg>=1.1 libogg>=1.1.2nb1 libogg>=1.1.3 libvorbis>=1.0.1 flac>=1.1.3nb1 libvorbis>=1.1.0nb1 speexdsp>=1.2rc3 speex>=1.2rc2 speex>=1.2rc1 gdbm>=1.8.3 readline>=2.2 readline>=6.0 libltdl>=2.4.2 avahi>=0.6.32nb15 consolekit>=0.3.0nb9 libsndfile>=1.0.18 gdbm>=1.14.1 libltdl>=2.2.6 glu>=3.4.2 glu>=6.0 esound>=0.2.41nb1 nas>=1.7bnb2 glu>=7.11.2 SDL>=1.2.15nb17 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
powerpc:dgen-sdl-1.32nb1.tgz(NetBSD 8.0)
powerpc:dgen-sdl-1.32nb1.tgz(NetBSD 8.0)
powerpc:dgen-sdl-1.32nb1.tgz(NetBSD 8.0)
sparc64:dgen-sdl-1.32nb1.tgz(NetBSD 7.0)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 7.0)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 7.0)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 7.0)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 7.1)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 7.0)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 7.1)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 7.1)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 7.1)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 8.0)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 8.0)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 8.0)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 8.0)
x86_64:dgen-sdl-1.32nb1.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]